lepton-archive(1)

NAME
lepton-archive - create and extract Lepton EDA design archives

SYNOPSIS
lepton-archive [OPTIONS] FILE ...

DESCRIPTION
lepton-archive creates and extracts Lepton EDA designs from an archive. The two modes of operation are "archive mode" (archive creation) and "extract mode". In archive mode it creates a project archive from a bunch of project files, and in extract mode it extracts the files from the archive and places them in the local directory.

In archive mode the program processes schematic files traversing their hierarchy, collecting and caching all subschematics, symbols and subcircuits specified in the "file=" attributes.

Archive mode is the default.

OPTIONS
-h, --help             Print usage information.
-v, --verbose          Verbose mode.
-f, --files-from=FILE  Additionally read filenames to archive from FILE.
-e, --extract          Extract mode. Mandatory if you want to extract from archive.
-a, --archive          Archive mode. It is the default mode.
-o, --output=FILE      Specify the name of the output archive file
                       in archive mode. If FILE has no ".tar.gz" suffix it will be
                       automatically appended.
                       Default file name is "project-archive.tar.gz".

EXAMPLES
To create an archive named MyArchive.tar.gz, the files to store are listed in "archive-list":

    lepton-archive -f archive-list -o MyArchive.tar.gz

The same by using just file basename:

    lepton-archive -f archive-list -o MyArchive

Verbosely create an archive from files listed on command line:

    lepton-archive -v README sch1.sch sch2.sch sch3.sch

Extract an archive:

    lepton-archive -e project-archive.tar.gz

AUTHOR
The initial Python script has been written by Stuart Brorson <sdb@cloud9.net>. The program has been rewritten almost from scratch in Scheme by Vladimir Zhbanov <vzhbanov@gmail.com>.

SEE ALSO
lepton-schematic(1)

COPYRIGHT
Copyright © 2012-2017 gEDA Contributors.
Copyright © 2019-2022 Lepton EDA Contributors.
License GPLv2+: GNU GPL version 2 or later. Please see the `COPYING'
file included with this program for full details.

This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.